Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.teleal.cling.model.types
Class Base64Datatype

    java.lang.Object
      org.teleal.cling.model.types.AbstractDatatype<Byte[]>
          org.teleal.cling.model.types.Base64Datatype

All Implemented Interfaces:
  Datatype<Byte[]>

    public class Base64Datatype

extends AbstractDatatype<Byte[]>

Author:
  Christian Bauer

Nested Class Summary

Nested classes/interfaces inherited from interface org.teleal.cling.model.types.Datatype
`Datatype.Builtin, Datatype.Default`

Constructor Summary
`Base64Datatype()`

Method Summary
`String` | `getString(Byte[] value)` Transforms a value supported by this datatype into a string representation.
`Class<Byte[]>` | `getValueType()`
`Byte[]` | `valueOf(String s)` Transforms a string representation into a value of the supported type.

Methods inherited from class org.teleal.cling.model.types.AbstractDatatype
`getBuiltin, getDisplayString, isHandlingJavaType, isValid, setBuiltin, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Base64Datatype

    public Base64Datatype()

Method Detail

### getValueType

    public Class<Byte[]> getValueType()

  Overrides:
    `getValueType` in class `AbstractDatatype<Byte[]>`

### valueOf

    public Byte[] valueOf(String s)
                   throws InvalidValueException

  Description copied from interface: `Datatype`
  Transforms a string representation into a value of the supported type.

  Specified by:
    `valueOf` in interface `Datatype<Byte[]>`
  Overrides:
    `valueOf` in class `AbstractDatatype<Byte[]>`
  Parameters:
    `s` - The string representation of a value.
  Returns:
    The converted value or `null` if the string was `null` or empty.
  Throws:
    `InvalidValueException` - If the string couldn't be parsed.

### getString

    public String getString(Byte[] value)
                     throws InvalidValueException

  Description copied from interface: `Datatype`
  Transforms a value supported by this datatype into a string representation.

  This method calls `Datatype.isValid(Object)` before converting the value, it throws an exception if validation fails.

  Specified by:
    `getString` in interface `Datatype<Byte[]>`
  Overrides:
    `getString` in class `AbstractDatatype<Byte[]>`
  Parameters:
    `value` - The value to transform.
  Returns:
    The transformed value as a string, or an empty string when the value is null, never returns `null`.
  Throws:
    `InvalidValueException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 Teleal GmbH, Switzerland. All Rights Reserved.